summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2005-05-03 09:20:13 +0000
committerMamoru Komachi <usata@gentoo.org>2005-05-03 09:20:13 +0000
commit18aa13707e46b884e5812746ce55fd43c2b914b7 (patch)
tree8468f3a18c688cb9dc8d258284a09b61abbc9a87 /eclass/elisp-common.eclass
parentmove audit to the real world. (diff)
downloadhistorical-18aa13707e46b884e5812746ce55fd43c2b914b7.tar.gz
historical-18aa13707e46b884e5812746ce55fd43c2b914b7.tar.bz2
historical-18aa13707e46b884e5812746ce55fd43c2b914b7.zip
added 'die' to elisp-site-file-install(). thanks to Tobias C. rittweiler <tcr@freebits.de>; bug #86704.
Diffstat (limited to 'eclass/elisp-common.eclass')
-rw-r--r--eclass/elisp-common.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index 26f9c9e58694..47e00defae98 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.9 2004/10/19 19:51:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.10 2005/05/03 09:20:13 usata Exp $
#
# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
@@ -31,7 +31,7 @@ elisp-site-file-install() {
cp ${sitefile} ${T}
sed -i "s:@SITELISP@:${SITELISP}/${my_pn}:g" ${T}/$(basename ${sitefile})
insinto ${SITELISP}
- doins ${T}/$(basename ${sitefile})
+ doins ${T}/$(basename ${sitefile}) || die "failed to install site file"
popd
}